com.impinj.octane

## Class AntennaConfig

- java.lang.Object
- - com.impinj.octane.AntennaConfig

-     public class AntennaConfig
      extends java.lang.Object

  This class hold the antenna configuration information. AntennaConfig objects are contained within the AntennaGroupObject in the Settings class
  See Also:
    `Settings.antennas`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AntennaConfig(java.lang.Number newPortNumber)` Constructor for a new antenna configuration object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Boolean` | `getIsMaxRxSensitivity()` Typically an antenna is set to maximum sensitivity.
    `java.lang.Boolean` | `getIsMaxTxPower()` Typically an antenna is set to maximum transmit power.
    `java.lang.String` | `getPortName()` For convenience the antenna configuration hold a user defined port name.
    `short` | `getPortNumber()` Each antenna is identified by the port number
    `protected double` | `getReaderMaxSensitivityCapability()`
    `protected double` | `getReaderMaxTxPowerCapability()` getReaderMaxTxPowerCapability -- set the reader's actual max transmit power.
    `double` | `getRxSensitivityinDbm()` Receive Sensitivity can be adjusted on the antenna to prevent the reader from receiving weak responses from tags.
    `double` | `getTxPowerinDbm()` Transmit power can be adjusted on the antenna to reduce the read range of the antenna.
    `boolean` | `isEnabled()` An antenna can be enabled or disabled.
    `void` | `setEnabled(boolean enabled)` An antenna can be enabled or disabled.
    `void` | `setIsMaxRxSensitivity(java.lang.Boolean maxRxSensitivity)` Typically an antenna is set to maximum sensitivity.
    `void` | `setIsMaxTxPower(java.lang.Boolean maxTxPower)` Typically an antenna is set to maximum transmit power.
    `void` | `setPortName(java.lang.String portName)` For convenience the antenna configuration hold a user defined port name.
    `void` | `setPortNumber(short portNumber)` Each antenna is identified by the port number to which this antenna configuration applies.
    `protected void` | `setReaderMaxSensitivityCapability(double readerActualMaxSensitivityCapability)`
    `protected void` | `setReaderMaxTxPowerCapability(double readerActualMaxTxPowerCapability)` setReaderMaxTxPowerCapability -- set the reader's actual max transmit power.
    `void` | `setRxSensitivityinDbm(double rxSensitivityinDbm)` Receive Sensitivity can be adjusted on the antenna to prevent the reader from receiving weak responses from tags.
    `void` | `setTxPowerinDbm(double txPowerinDbm)` Transmit power can be adjusted on the antenna to reduce the read range of the antenna.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AntennaConfig

          public AntennaConfig(java.lang.Number newPortNumber)

      Constructor for a new antenna configuration object.
      Parameters:
        `newPortNumber` - Antenna port to configure. A value of 0 means configuration is applied to all antennas.

  - ### Method Detail

    - #### getRxSensitivityinDbm

          public double getRxSensitivityinDbm()

      Receive Sensitivity can be adjusted on the antenna to prevent the reader from receiving weak responses from tags. This may be used to limit the read range of the device. Sensitivity is specified in dBm (decibel milliwatts).
      Returns:
        the current value of receive sensitivity in dBm for this antenna

    - #### setRxSensitivityinDbm

          public void setRxSensitivityinDbm(double rxSensitivityinDbm)

      Receive Sensitivity can be adjusted on the antenna to prevent the reader from receiving weak responses from tags. This may be used to limit the read range of the device. Sensitivity is specified in dBm (decibel milliwatts). Note: a value of 0 indicates to use max rx sensitivity.
      Parameters:
        `rxSensitivityinDbm` - -- sensitivity for this antenna in dBm

    - #### getTxPowerinDbm

          public double getTxPowerinDbm()

      Transmit power can be adjusted on the antenna to reduce the read range of the antenna. Transmit power is specified in dBm (decibel milliwatts)
      Returns:
        the current value of the transmit power in dBm for this antenna

    - #### setTxPowerinDbm

          public void setTxPowerinDbm(double txPowerinDbm)

      Transmit power can be adjusted on the antenna to reduce the read range of the antenna. Transmit power is specified in dBm (decibel milliwatts) Note: a value of 0 indicates to use max tx power.
      Parameters:
        `txPowerinDbm` - -- power for this antenna in dBm

    - #### getIsMaxRxSensitivity

          public java.lang.Boolean getIsMaxRxSensitivity()

      Typically an antenna is set to maximum sensitivity. This provides the longest read range. However, maximum sensitivity can be disabled and the sensitivity can be controlled via setRxSensitivity.
      Returns:
        true if the antenna is set to maximum sensitivity
      See Also:
        `setRxSensitivityinDbm(double)`

    - #### setIsMaxRxSensitivity

          public void setIsMaxRxSensitivity(java.lang.Boolean maxRxSensitivity)

      Typically an antenna is set to maximum sensitivity. This provides the longest read range. However, maximum sensitivity can be disabled and the sensitivity can be controlled via setRxSensitivity.
      Parameters:
        `maxRxSensitivity` - -- true to enabled maximum sensitivity on this antenna. False to allow the antenna reduced sensitivity via setRxSensitivity method.
      See Also:
        `setRxSensitivityinDbm(double)`

    - #### getIsMaxTxPower

          public java.lang.Boolean getIsMaxTxPower()

      Typically an antenna is set to maximum transmit power. This provides the longest read range. However, maximum transmit power can be disabled and the power can be controlled via setTxPower.
      Returns:
        true if the antenna is set to operate at maximum power
      See Also:
        `setTxPowerinDbm(double)`

    - #### setIsMaxTxPower

          public void setIsMaxTxPower(java.lang.Boolean maxTxPower)

      Typically an antenna is set to maximum transmit power. This provides the longest read range. However, maximum transmit power can be disabled and the power can be controlled via setTxPower.
      Parameters:
        `maxTxPower` - -- true to set the antenna to maximum power. false to allow the power to be varied by the setTxPowerinDbm method.
      See Also:
        `setTxPowerinDbm(double)`

    - #### getReaderMaxSensitivityCapability

          protected double getReaderMaxSensitivityCapability()

    - #### setReaderMaxSensitivityCapability

          protected void setReaderMaxSensitivityCapability(double readerActualMaxSensitivityCapability)

    - #### getReaderMaxTxPowerCapability

          protected double getReaderMaxTxPowerCapability()

      getReaderMaxTxPowerCapability -- set the reader's actual max transmit power. Only set when a reader connection exists; this property is intended for use only by classes in the OctaneSDK Java package itself as a helper.
      Returns:
        the reader's actual max transmit power, if known

    - #### setReaderMaxTxPowerCapability

          protected void setReaderMaxTxPowerCapability(double readerActualMaxTxPowerCapability)

      setReaderMaxTxPowerCapability -- set the reader's actual max transmit power. Only set when a reader connection exists; this property is intended for use only by classes in the OctaneSDK Java package itself as a helper.
      Parameters:
        `readerActualMaxTxPowerCapability` - - the value to set the max transmit power to.

    - #### getPortNumber

          public short getPortNumber()

      Each antenna is identified by the port number
      Returns:
        the port number corresponding to this antenna configuration.

    - #### setPortNumber

          public void setPortNumber(short portNumber)

      Each antenna is identified by the port number to which this antenna configuration applies.
      Parameters:
        `portNumber` - the desired port number for this antenna configuration

    - #### isEnabled

          public boolean isEnabled()

      An antenna can be enabled or disabled. When enabled, the reader will use this antenna when performing inventory operations.
      Returns:
        true if the antenna is enabled

    - #### setEnabled

          public void setEnabled(boolean enabled)

      An antenna can be enabled or disabled. When enabled, the reader will use this antenna when performing inventory operations.
      Parameters:
        `enabled` - -- pass true to enable the antenna, false to disable it

    - #### getPortName

          public java.lang.String getPortName()

      For convenience the antenna configuration hold a user defined port name. This port name is not used by the SDK library, but is provided only for application use.
      Returns:
        the current name given to this antenna port

    - #### setPortName

          public void setPortName(java.lang.String portName)

      For convenience the antenna configuration hold a user defined port name. This port name is not used by the SDK library, but is provided only for application use.
      Parameters:
        `portName` - the name to apply to this antenna port